### Hierarchy

- XPathResult

## Index

### Properties

- ANY_TYPE
- ANY_UNORDERED_NODE_TYPE
- BOOLEAN_TYPE
- FIRST_ORDERED_NODE_TYPE
- NUMBER_TYPE
- ORDERED_NODE_ITERATOR_TYPE
- ORDERED_NODE_SNAPSHOT_TYPE
- STRING_TYPE
- UNORDERED_NODE_ITERATOR_TYPE
- UNORDERED_NODE_SNAPSHOT_TYPE
- booleanValue
- invalidIteratorState
- numberValue
- resultType
- singleNodeValue
- snapshotLength
- stringValue

### Methods

- iterateNext
- snapshotItem

## Properties

### ANY_TYPE

ANY_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16998

### ANY_UNORDERED_NODE_TYPE

ANY_UNORDERED_NODE_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16999

### BOOLEAN_TYPE

BOOLEAN_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17000

### FIRST_ORDERED_NODE_TYPE

FIRST_ORDERED_NODE_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17001

### NUMBER_TYPE

NUMBER_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17002

### ORDERED_NODE_ITERATOR_TYPE

ORDERED_NODE_ITERATOR_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17003

### ORDERED_NODE_SNAPSHOT_TYPE

ORDERED_NODE_SNAPSHOT_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17004

### STRING_TYPE

STRING_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17005

### UNORDERED_NODE_ITERATOR_TYPE

UNORDERED_NODE_ITERATOR_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17006

### UNORDERED_NODE_SNAPSHOT_TYPE

UNORDERED_NODE_SNAPSHOT_TYPE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17007

### booleanValue

booleanValue: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16989

### invalidIteratorState

invalidIteratorState: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16990

### numberValue

numberValue: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16991

### resultType

resultType: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16992

### singleNodeValue

singleNodeValue: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16993

### snapshotLength

snapshotLength: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16994

### stringValue

stringValue: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16995

## Methods

### iterateNext

- iterateNext(): Node

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16996

  #### Returns Node

### snapshotItem

- snapshotItem(index: number): Node

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16997

  #### Parameters

  - ##### index: number

  #### Returns Node

Generated using TypeDoc